/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _DYNAMIC_H_
#define _DYNAMIC_H_

#include <glib.h>
#include <gmodule.h>
#include "module.h"

G_BEGIN_DECLS

/** @defgroup DynamicModule Loading shared libraries
 * @ingroup LopsterLibs
 */
/*@{*/

module_t* dynamic_module_instance();

GModule* lopster_dll_open(const char* filename, int flags);
void lopster_dll_close(GModule* module);

/*@}*/

G_END_DECLS

#endif
