/* Copyright (C) 2005 sgop@users.sourceforge.net This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.5 $
 * $Date: 2006/07/22 17:11:58 $
 * $Author: sid4u $
 */

#ifndef _UI_SEARCH_H_
#define _UI_SEARCH_H_

#include "lcore/search.h"

typedef GtkWidget* (*CreateOptionUIFunc)(void);
typedef int (*GetSetOptionFunc)(search_pattern_t*);
					 
GtkWidget* ui_create_search_content();
void ui_search_pattern_show(search_pattern_t* pattern);
void ui_search_add_page(search_t* search);
void ui_search_result_show(search_result_t* result, search_t* search);

void ui_search_input_monitor(GtkWidget* widget);

void ui_search_register_option(const char* name, const char* label,
			       CreateOptionUIFunc create,
			       GetSetOptionFunc get,
			       GetSetOptionFunc set);
#endif
