/* Copyright (C) 2005-2008 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.3 $
 * $Date: 2008/12/23 13:38:14 $
 * $Author: sgop $
 */

#ifndef __GTK_FANCYTIPS_H__
#define __GTK_FANCYTIPS_H__

#include <gtk/gtk.h>

typedef enum {
  GTK_FANCY_POS_MOUSE,
  GTK_FANCY_POS_LEFT,
  GTK_FANCY_POS_RIGHT,
} GtkFancyTipsPos;

typedef GtkWidget* (*FancyTipsFunc)(void* data, unsigned depth);


void gtk_fancytips_new(
        GtkTreeView* tv, FancyTipsFunc func,
        GtkFancyTipsPos pos);


#endif /* __GTK_FANCYTIPS_H__ */
