/* Copyright (C) 2005 sgop@users.sourceforge.net This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.3 $
 * $Date: 2006/07/22 17:11:59 $
 * $Author: sid4u $
 */

#include "ui_transfer.h"
#include "ui_download.h"
#include "ui_upload.h"
#include "ui_layout.h"

GtkWidget* ui_create_transfer_content() {
  GtkWidget* paned;
  GtkWidget* vbox;

  //////////////
  paned = gtk_vpaned_new();
  gtk_widget_show(paned);
  ui_layout_monitor("core:transfer:paned:pos", paned);

  vbox = ui_create_download_content();
  gtk_widget_show(vbox);
  gtk_paned_pack1(GTK_PANED(paned), vbox, TRUE, TRUE);
  
  vbox = ui_create_upload_content();
  gtk_widget_show(vbox);
  gtk_paned_pack2(GTK_PANED(paned), vbox, FALSE, TRUE);
  
  return paned;
}

