#ifndef _UI_UTILS_H_
#define _UI_UTILS_H_

#include <QWidget>
#include <QApplication>

#ifdef _BUILD_QT4_UI_
    #if defined(QT_DLL) || defined(QT_SHARED)
        #define QT4_UI_EXPORT Q_DECL_EXPORT
    #endif
#else
    #define QT4_UI_EXPORT Q_DECL_IMPORT
#endif 

#define STORE_OBJECT(N,ON,O,QO) \
        ON = g_strdup_printf("%s_%x",N,QO); \
        QO->setObjectName(QString("%1").arg(ON)); \
        object_set_data(O, N, ON);

QT4_UI_EXPORT QWidget* findWidgetByName(QString name);
QIcon create_icon_from_lopster_pixmap(const char* filename);
QIcon create_icon(const char* filename);
QIcon create_icon(const QString filename);
int rate_from_value(int value);
int rate_to_value(int rate);
#define TIMER_EVENT_ID  1
#define TIMER_REMOVE_EVENT_ID   2

#endif
