/* Copyright (C) 2005-2007 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.39 $
 * $Date: 2008/12/23 13:38:14 $
 * $Author: sgop $
 */

#ifndef _VERSION_H_
#define _VERSION_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#define V_COMMIT       48
#define VS_COMMIT     "48"

#if V_COMMIT
# define FULL_VERSION PACKAGE_STRING"-pre"VS_COMMIT
#else
# define FULL_VERSION PACKAGE_STRING
#endif

#define HALF_VERSION PACKAGE_STRING
#define PURE_VERSION PACKAGE_VERSION

/* NOTE: this only works if major/minor/patch version is one digit */
/* #define V_MAJOR (PACKAGE_VERSION[0]-'0') */
/* #define V_MINOR (PACKAGE_VERSION[2]-'0') */
/* #define V_PATCH (PACKAGE_VERSION[4]-'0') */

// INTERFACE VERSION
// only plugins with same major/minor number can be loaded.
// which means that major/minor has to be changed if
// core/plugin API changes
#define IF_MAJOR    0
#define IF_MINOR    16
#define IF_MICRO    V_COMMIT
#define IF_VERSION  ((IF_MAJOR<<24)|(IF_MINOR<<16)|(IF_MICRO<<8))

#endif
