/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _WIN32_DEFS_H
#define _WIN32_DEFS_H

// No more needed as using def files now, but just in case
#ifdef WIN32
#ifdef CORE_EXPORT_SYMBOLS
#   define EXPORT_CORE __declspec(dllexport)
#  else 
#   define EXPORT_CORE __declspec(dllimport)
# endif 
#include <Windows.h>
#endif // WIN32

#ifdef _MSC_VER // Only VC Compiler
#define strcasecmp  stricmp
#define strncasecmp  strnicmp 
#define strtoll(x,y,z) (__int64) strtol(x,y,z)
#define strtoull(x,y,z) (__int64) strtoul(x,y,z)
#define snprintf _snprintf
#endif
#endif // _WIN32_DEFS_H
