/* Copyright (C) 2005 (C) The Lopster Team
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.3 $
 * $Date: 2006/07/30 18:39:15 $
 * $Author: sid4u $
 */

#ifndef _BT_BITFIELD_H_
#define _BT_BITFIELD_H_


typedef struct {
  int btsize;
  char* bits;
} bt_bitfield_t;

void bt_bitfield_free(bt_bitfield_t* bfield);

bt_bitfield_t* bt_bitfield_setup_from_client(char* binary_bitfield);
gboolean bt_bitfield_has_piece( bt_bitfield_t*  bfield , int piece_index) ;
gboolean bt_bitfield_compare(bt_bitfield_t*  bfield1, bt_bitfield_t*  bfield2 );
gboolean bt_bitfield_empty( bt_bitfield_t*  bfield );
gboolean bt_bitfield_has_all( bt_bitfield_t*  bfield );
void bt_bitfield_set( bt_bitfield_t*  bfield, int bit);
bt_bitfield_t* bt_bitfield_setup_from_peer(int nb_pieces, char* raw_bitfield, int btsize );
gboolean bt_bitfield_complete(bt_bitfield_t* bitfield);

#endif //_BT_BITFIELD_H_
