/* Copyright (C) 2005 (C) Lopster Team. This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.1 $
 * $Date: 2006/07/23 08:11:44 $
 * $Author: sid4u $
 */

#ifndef _BT_DOWNLOAD_H_
#define _BT_DOWNLOAD_H_

#include "lcore/download.h"
#include "lcore/module.h"
#include "bt_users.h"
#include "bt_peer.h"

#define BT_SOURCE(arg) ((bt_source_t*)(arg))

typedef struct {
  source_t _source;
  file_size_t req_start;
  file_size_t req_stop;
  file_size_t req_size;
  bt_peer_t* peer;
  segment_t* last_segment;
} bt_source_t;

module_t* bt_download_module_instance();

#endif // _BT_DOWNLOAD_H_
