/* Copyright (C) 2005 Lopster Team
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _UI_SLSK_HPP_
#define _UI_SLSK_HPP_

#include <qglobal.h>
#include <qicon.h>
#include "bt.h"
#include "bt_ui.h"


inline void initBittorrentResource() {Q_INIT_RESOURCE( bittorrent ); }

#define BICON(a,b) ui_bt_get_res_icon(a,b)
#define BICONG(a,b) ui_bt_get_res_icon(a,b,true)


#ifdef _BUILD_QT4_BT_LIB_
    #if defined(QT_DLL) || defined(QT_SHARED)
        #define QT4_BT_EXPORT Q_DECL_EXPORT
    #endif
#else
        #define QT4_BT_EXPORT Q_DECL_IMPORT
#endif 


extern "C" QT4_BT_EXPORT void ui_bt_init(ui_bt_t* iface);
extern "C" QT4_BT_EXPORT void ui_bt_run();
extern "C" QT4_BT_EXPORT void ui_bt_exit();


QIcon ui_bt_get_res_icon(const QString &res, const QSize &size, bool grey=false);


#endif
