/* Copyright (C) 2005 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.1 $
 * $Date: 2006/02/04 16:41:04 $
 * $Author: sgop $
 */

#ifndef _DC_SEARCH_H_
#define _DC_SEARCH_H_

#include "lcore/search.h"
#include "lcore/module.h"
#include "dc_network.h"
#include "dc_users.h"

module_t* dc_search_module_instance();

void dc_search_hub_entered(dc_hub_t* hub);

void dc_search_insert_result(dc_user_t* user, file_t* file,
                             unsigned fs, unsigned as);
void dc_search_answer(dc_hub_t* hub, const char* add1,
                      const char* add2, char* query,
                      int media, file_size_t min, file_size_t max);

char* dc_search_create_request(search_t* search);

#endif
