/* Copyright (C) 2005 sgop@users.sourceforge.net This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.1 $
 * $Date: 2006/02/04 16:41:04 $
 * $Author: sgop $
 */

#ifndef _DC_UPLOAD_H_
#define _DC_UPLOAD_H_

#include "lcore/upload.h"
#include "dc_peer.h"

#define DC_UPLOAD(arg) ((dc_upload_t*)(arg))
typedef struct {
  upload_t _upload;
  unsigned features;
  gboolean get_block;
} dc_upload_t;

dc_upload_t* dc_upload_new(dc_user_t* user, file_t* file);
void dc_upload_set_offset(dc_upload_t* upload, file_size_t offset, file_size_t stop);
const char* dc_upload_set_connection(dc_upload_t* upload, dc_peer_t* peer);

#endif
