/* Copyright (C) 2005 Lopster Team
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _UI_DC_HPP_
#define _UI_DC_HPP_

#include <qglobal.h>
#include <QIcon.h>
#include "dc.h"
#include "dc_ui.h"

inline void initDirectConnnectResource() {Q_INIT_RESOURCE( directconnect ); }

#define DICON(a,b) ui_dc_get_res_icon(a,b)
#define DICONG(a,b) ui_dc_get_res_icon(a,b,true)


#ifdef _BUILD_QT4_DC_LIB_
    #if defined(QT_DLL) || defined(QT_SHARED)
        #define QT4_DC_EXPORT Q_DECL_EXPORT
    #endif
#else
        #define QT4_DC_EXPORT Q_DECL_IMPORT
#endif 

extern "C" QT4_DC_EXPORT void ui_dc_init(ui_dc_t* iface);
extern "C" QT4_DC_EXPORT void ui_dc_run();
extern "C" QT4_DC_EXPORT void ui_dc_exit();

QIcon ui_dc_get_res_icon(const QString &res, const QSize &size, bool grey=false);


#endif
