/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _TIGER_H_
#define _TIGER_H_

#include <glib.h>

#define TIGER_BLOCK_SIZE          64
#define TIGER_HASH_SIZE           24

typedef struct {
  guint8 tmp[TIGER_BLOCK_SIZE];
  guint64* t;
  guint64 res[3];
  guint64 length;
  unsigned pos;
} tiger_t;

void tiger_init(tiger_t* tiger);
void tiger_update(tiger_t* tiger, const void* data, unsigned length);
guint8* tiger_finalize(tiger_t* tiger);

#if 0
void tiger_test();
#endif


#endif
