/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _TTH_H_
#define _TTH_H_

#include "tiger.h"

typedef struct {
  GList* blocks;
  gboolean last;
  guint8 res[TIGER_HASH_SIZE];
} tth_t;

void tth_init(tth_t* tth);
void tth_update(tth_t* tth, const void* data, unsigned len);
guint8* tth_finalize(tth_t* tth);

#endif
