/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _NAP_DOWNLOAD_H_
#define _NAP_DOWNLOAD_H_

#include "lcore/download.h"
#include "nap_network.h"
#include "nap_whois.h"
#include "nap_search.h"

#define NAP_SOURCE(arg) ((nap_source_t*)(arg))
typedef struct {
  source_t _source;
  gboolean advanced;
  gboolean started;
} nap_source_t;

module_t* nap_download_module_instance();

void nap_source_ack(source_t* source, nap_net_t* net, ip_t ip, port_t port);
const char* nap_download_incoming(tcp_socket_t* socket);

#endif
