/* Copyright (C) 2005-2006 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.5 $
 * $Date: 2006/07/22 17:14:03 $
 * $Author: sid4u $
 */

#ifndef _NAP_UI_H_
#define _NAP_UI_H_

#include "lcore/module.h"
#include "nap_network.h"
#include "nap_chat.h"
#include "nap_users.h"
#include "nap_napi.h"

typedef struct
{
    void (*channel_joined)(nap_pub_t*);
    void (*cp_update_op)(nap_pub_t*);
    void (*new_topic)(nap_pub_t*);
    
    void (*user_joined)(nap_pub_t*, nap_cu_t*);
    void (*user_parted)(nap_pub_t*, nap_cu_t*);
    
    void (*whois_show)(nap_user_t*);

} ui_nap_t;

void NAPUI_channel_joined(nap_pub_t* page);
void NAPUI_cp_update_op(nap_pub_t* page);
void NAPUI_new_topic(nap_pub_t* page);
void NAPUI_user_joined(nap_pub_t* page, nap_cu_t* user);
void NAPUI_user_parted(nap_pub_t* page, nap_cu_t* user);
void NAPUI_whois_show(nap_user_t* user);


module_t* nap_ui_module_instance();

#endif
