/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _NAP_UPLOAD_H_
#define _NAP_UPLOAD_H_

#include "lcore/upload.h"
#include "nap_network.h"
#include "nap_whois.h"
#include "nap_search.h"

#define NAP_UPLOAD(arg) ((nap_upload_t*)(arg))
typedef struct {
  upload_t _upload;
  gboolean advanced;
  gboolean started;
} nap_upload_t;

nap_upload_t* nap_upload_new(nap_user_t* user, file_t* file);

// incoming 'GET' request
const char* nap_upload_incoming(tcp_socket_t* socket);
void nap_upload_outgoing(nap_upload_t* upload, ip_t ip, port_t port);

#endif
