/* Copyright (C) 2007 The Lospter Team. This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.1 $
 * $Date: 2007/09/11 07:35:15 $
 * $Author: sid4u $
 */

#ifndef _NETWORK_DATA_ACCESSOR_H_
#define _NETWORK_DATA_ACCESSOR_H_

#include "nap_network.h"

#include "widgets/GroupAccessorDialog.h"
#include "widgets/NetworkAccessorDialog.h"
#include "widgets/ServerAccessorDialog.h" 

class GroupAccessorDialog : public QDialog, private Ui::GroupAccessorDialog
{
    Q_OBJECT
public:
    GroupAccessorDialog(nap_ng_t* ng, QWidget *parent = 0);
private slots:
    void edit_group();
private:
    nap_ng_t* m_ng;
};


class NetworkAccessorDialog : public QDialog, private Ui::NetworkAccessorDialog
{
    Q_OBJECT
public:
    NetworkAccessorDialog(nap_net_t* net, nap_ng_t* ng, QWidget *parent = 0);
private slots:
    void edit_network();
private:
    nap_net_t* m_net;
    nap_ng_t* m_ng;
};


class ServerAccessorDialog : public QDialog, private Ui::ServerAccessorDialog
{
   Q_OBJECT
public:
    ServerAccessorDialog(nap_server_t* server, nap_net_t* net, QWidget *parent = 0);
private slots:
    void edit_server( );
private:
    nap_server_t* m_server;
    nap_net_t* m_net;
};

#endif //_NETWORK_DATA_ACCESSOR_H_
