/* Copyright (C) 2007 Lopster Team
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _UI_NAP_SEARCH_H_
#define _UI_NAP_SEARCH_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "lcore/qt4_ui/ui_search.hpp"

class UiNapSearchOption : public SearchOption 
{
public:
    UiNapSearchOption(QObject *parent = 0);
    ~UiNapSearchOption();
    int search_option_get_value(search_pattern_t*);
    int search_option_set_value(search_pattern_t*);
    QComboBox *min;
    QComboBox *max;
};

class UiNapSearch 
{
public:
    static void ui_nap_search_init();
    static void ui_nap_search_cleanup();
};



#endif
