/* Copyright (C) 2005 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.1 $
 * $Date: 2007/04/29 09:55:06 $
 * $Author: sgop $
 */

#ifndef _SLSK_PEER_PROTO_H_
#define _SLSK_PEER_PROTO_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "slsk_peer.h"

#define SLSK_X_PIERCE_FW        0
#define SLSK_X_PEER_INIT        1

#define SLSK_X_BROWSE_REQUEST   4
#define SLSK_X_BROWSE_RESULT    5
#define SLSK_X_SEARCH_REQUEST   8
#define SLSK_X_SEARCH_RESULT    9
#define SLSK_X_WHOIS_REQUEST   15
#define SLSK_X_WHOIS_RESULT    16
#define SLSK_X_TRANS_REQUEST   40
#define SLSK_X_TRANS_RESPONSE  41
#define SLSK_X_QUEUE_IN        42
#define SLSK_R_QUEUE_UPLOAD    43
#define SLSK_R_PLACE_INQUEUE   44
#define SLSK_X_UPLOAD_FAILED   46
#define SLSK_S_QUEUE_FAILED    50
#define SLSK_S_QUEUE_POS       51


const char* slsk_peer_consume_input(slsk_peer_t* con);
void slsk_peer_send(slsk_peer_t* con, guint32 type, ...);

#endif
