/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _SLSK_SEARCH_H_
#define _SLSK_SEARCH_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "lcore/search.h"
#include "lcore/module.h"
#include "slsk_users.h"
#include "slsk_peer.h"


module_t* slsk_search_module_instance();


void slsk_search_insert_result(int token, file_t* file,
                               slsk_user_t* user);
void slsk_exact_search_answer(slsk_net_t* net,
                              const char* user, const char* file,
                              file_size_t size1, file_size_t size2,
                              guint32 checksum);
void slsk_search_answer(slsk_peer_t* con, guint32 token, 
                        GList* results);
void slsk_search_process(slsk_user_t* user, guint32 token,
                         const char* items, guint32 temp);

#endif
