/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _SLSK_TIL_H_
#define _SLSK_TIL_H_

#include "slsk_network.h"

G_BEGIN_DECLS

void slsk_til_add(const char* item);
void slsk_til_remove(const char* item);
void slsk_tih_add(const char* item);
void slsk_tih_remove(const char* item);
gboolean slsk_til_in_list(const char* item);
gboolean slsk_tih_in_list(const char* item);
void slsk_til_send(slsk_net_t* net);
void slsk_tih_send(slsk_net_t* net);

void slsk_til_search(const char* item);

void slsk_til_get_item_recommendation(const char* item);
void slsk_til_get_user_recommendation(const char* item);
void slsk_til_get_global_recommendation();
void slsk_til_get_recommendation();
void slsk_til_get_similar_users();

G_END_DECLS
#endif
