/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _SLSK_UPLOAD_H_
#define _SLSK_UPLOAD_H_

#include "lcore/upload.h"
#include "slsk_network.h"
#include "slsk_peer.h"
#include "slsk_users.h"

#define S_UPLOAD_NOT_FOUND  S_UPLOAD_LAST+1
#define S_SLSK_UPLOAD_LAST  S_FILE_NODE_FOUND

#define SLSK_UPLOAD(arg) ((slsk_upload_t*)(arg))
typedef struct {
  upload_t _upload;
  guint32 token;
} slsk_upload_t;

slsk_upload_t* slsk_upload_new(slsk_peer_t* con, file_t* file, guint32 token);
slsk_upload_t* slsk_upload_find_user_req(slsk_user_t* user, guint32 req);
const char* slsk_upload_adapt_peer(slsk_upload_t* upload, slsk_peer_t* con);


#endif
