/* Copyright (C) 2004 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef __GTK_HTABS_H__
#define __GTK_HTABS_H__

#include <gdk/gdk.h>
#include <gtk/gtkbox.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define GTK_TYPE_HTABS            (gtk_htabs_get_type ())
#define GTK_HTABS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_HTABS, GtkHtabs))
#define GTK_HTABS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_HTABS, GtkHtabsClass))
#define GTK_IS_HTABS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_HTABS))
#define GTK_IS_HTABS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_HTABS))
#define GTK_HTABS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_HTABS, GtkHtabsClass))


typedef struct _GtkHtabs       GtkHtabs;
typedef struct _GtkHtabsClass  GtkHtabsClass;

struct _GtkHtabs {
  GtkBox box;
};

struct _GtkHtabsClass {
  GtkBoxClass parent_class;
};


GType gtk_htabs_get_type (void) G_GNUC_CONST;
GtkWidget* gtk_htabs_new(gboolean homogeneous, gint spacing);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_HTABS_H__ */
