/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef __GTK_CELL_RENDERER_UPLOAD_H__
#define __GTK_CELL_RENDERER_UPLOAD_H__

#include <gtk/gtkcellrenderer.h>

G_BEGIN_DECLS

#define GTK_TYPE_CELL_RENDERER_UPLOAD           (gtk_cell_renderer_get_type ())
#define GTK_CELL_RENDERER_UPLOAD(obj)		  (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_CELL_RENDERER_UPLOAD, GtkCellRendererUpload))
#define GTK_CELL_RENDERER_UPLOAD_CLASS(klass)	  (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_CELL_RENDERER_UPLOAD, GtkCellRendererUploadClass))
#define GTK_IS_CELL_RENDERER_UPLOAD(obj)		  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_CELL_RENDERER_UPLOAD))
#define GTK_IS_CELL_RENDERER_UPLOAD_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), GTK_TYPE_CELL_RENDERER_UPLOAD))
#define GTK_CELL_RENDERER_UPLOAD_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_CELL_RENDERER_UPLOAD, GtkCellRendererUploadClass))

typedef struct _GtkCellRendererUpload      GtkCellRendererUpload;
typedef struct _GtkCellRendererUploadClass GtkCellRendererUploadClass;
typedef struct _GtkCellRendererUploadPriv  GtkCellRendererUploadPriv;

struct _GtkCellRendererUpload {
  GtkCellRenderer parent_instance;
  GtkCellRendererUploadPriv* priv;
};

struct _GtkCellRendererUploadClass {
  GtkCellRendererClass parent_class;
};

GType gtk_cell_renderer_upload_get_type(void) G_GNUC_CONST;
GtkCellRenderer* gtk_cell_renderer_upload_new(void);

G_END_DECLS

#endif
