/* Copyright (C) 2005 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.7 $
 * $Date: 2006/09/26 16:33:40 $
 * $Author: sgop $
 */

#ifndef _UI_BUDDY_H
#define _UI_BUDDY_H

#include <glib.h>

#include "lcore/buddy.h"
#include "lcore/browse.h"

typedef GtkWidget* (*BuddyEditFunc)(buddy_t*);
typedef void (*BuddyApplyFunc)(buddy_t*);
typedef GtkWidget* (*BuddyShowFunc)(buddy_t*);

GtkWidget* ui_create_buddy_content();
void ui_buddy_register_funcs(int ID,
                             BuddyEditFunc edit_func,
                             BuddyApplyFunc apply_func,
                             BuddyShowFunc show_func);
void ui_buddy_add_subpage(GtkWidget* main);
void ui_buddy_remove_subpage(GtkWidget* main);

void ui_browse_link_new(browse_t* browse);

void ui_buddy_new(buddy_t* buddy);
void ui_browse_show(browse_t* browse);

#endif
