/* Copyright (C) 2005 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.2 $
 * $Date: 2006/07/22 17:11:46 $
 * $Author: sid4u $
 */

#ifndef _LEGACY_H_
#define _LEGACY_H_

#include <glib.h>
#include "module.h"

G_BEGIN_DECLS

/** @defgroup LegacyModule Lopster legacy
 * @ingroup BasicFramework
 */
/*@{*/

/** Traverse function for lopster 1 settings
 * @param value the value
 */
typedef void (*Lopster1Foreach)(const char* value);

module_t* legacy_module_instance();

/** @name Preferences */
/*@{*/
gboolean legacy_pref_available();
const char* legacy_pref_get_value(const char* name);
void legacy_pref_foreach(const char* name, Lopster1Foreach func);
/*@}*/

/** @name Download paths */
/*@{*/
gboolean legacy_paths_available();
const char* legacy_path_get(int media);
/*@}*/


/*@}*/

G_END_DECLS
#endif
