#ifndef _LIBRARYPREFWIDGET_H_
#define _LIBRARYPREFWIDGET_H_

#include <QtGui>
#include "lcore/library.h"
#include "widgets/PrefFilesharing_SharedFoldersWidget.h"

class CheckBoxDirModel;

using namespace std;

class LibraryPref : public QWidget , private Ui::sharedfolders
{
    Q_OBJECT
public:    
    LibraryPref(QWidget *parent=0);
    void share_init_from_library(library_t* lib);
    void share_update_library();
    void share_on_library_apply();
    void share_on_library_cancel( );
private slots:
    void library_updated();
private:
    bool lib_updated;
    library_t* lib;
    vector <string> folder_vector;
    CheckBoxDirModel *model; 
};

#endif // _LIBRARYPREFWIDGET_H_
