/* Copyright (C) 2007 The Lopster Team
 * This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */

/* $Revision: 1.9 $
 * $Date: 2007/09/13 11:39:46 $
 * $Author: sid4u $
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "lcore/l_i18n.h"
#include "ui_main.hpp"
#include "ui_browse.hpp"

BrowseWidget::BrowseWidget(browse_t *browse, QWidget *parent)
    : FileTreeWidget(parent)
{
    this->browse = browse;
    ui_filetree_assign_new_tree(FILE_TREE(browse));
    action_item_t* actions = action_item_search("Browse file actions");   
    ui_assign_files_actions(1, &actions, browse);
}

BrowseWidget::~BrowseWidget( )
{
    ui_filetree_assign_new_tree(NULL);
    object_kill(OBJ(browse));
}
