/* Copyright (C) 2005-2006 (C) Lopster Team
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.2 $
 * $Date: 2006/07/24 19:34:53 $
 * $Author: sgop $
 */

#ifndef _BT_PEER_MESSAGE_H_
#define _BT_PEER_MESSAGE_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
/*
#include "lcore/b_socket.h"
#include "bt_network.h"
*/
//#define MAX_MESSAGE_TYPES		12

#define BT_MESSAGE_CHOKE            0
#define BT_MESSAGE_UNCHOKE          1
#define BT_MESSAGE_INTERESTED       2
#define BT_MESSAGE_NOT_INTERESTED   3
#define BT_MESSAGE_HAVE             4
#define BT_MESSAGE_BITFIELD         5
#define BT_MESSAGE_REQUEST          6
#define BT_MESSAGE_PIECE            7
#define BT_MESSAGE_CANCEL           8
#define BT_MESSAGE_PORT             9

#define BT_MESSAGE_HANDSHAKE     1000
#define BT_MESSAGE_KEEP_ALIVE    1001

#define BT_MESSAGE_UNKNOWN       2000

typedef struct {
    guint32 id;
    gint32 length;
    char* message;
    int index;
    int begin;
} bt_peer_message_t;

void bt_peer_message_free(bt_peer_message_t* peer_message);

bt_peer_message_t* bt_consume_message(buffer_t* buffer, int length_to_consume, int last_id);


#endif // _BT_PEER_MESSAGE_H_
