/* Copyright (C) 2005 sid4u@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.3 $
 * $Date: 2006/07/23 08:11:44 $
 * $Author: sid4u $
 */

#ifndef _BT_PIECE_H_
#define _BT_PIECE_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif


#include "lcore/module.h"
#include "bt_torrent.h"

typedef struct {
    char* hash;
    unsigned hash_len;
    unsigned pbytes;
    unsigned pcnt;
    int offset;
} bt_pieces_t;

module_t* bt_pieces_module_instance();


#endif //_BT_PIECE_H_
