/* Copyright (C) 2005-2007 The Lopster Team
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.2 $
 * $Date: 2007/11/15 13:18:01 $
 * $Author: sid4u $
 */
#include "lcore/qt4_ui/ui_main.hpp"

#include "ui_bt_net.hpp"
#include "ui_bt.hpp"

extern "C" QT4_BT_EXPORT void ui_bt_init(ui_bt_t* iface)
{
    object_register_instance("Torrent", (ObjectFunc)UiBtNet::ui_bt_torrent_new, FALSE);
    (void)iface;
}

extern "C" QT4_BT_EXPORT void ui_bt_run()
{
    UiBtNet::ui_bt_net_init();
}

extern "C" QT4_BT_EXPORT void ui_bt_exit()
{
    UiBtNet::ui_bt_net_cleanup();
}

QIcon ui_bt_get_res_icon(const QString &res, const QSize &size, bool grey)
{
    QIcon orig;
    QIcon result;
    orig = QIcon(res);
    if (orig.isNull())
    {
        return orig;
    }
    
    QIcon::Mode mode = grey? (QIcon::Disabled) : (QIcon::Normal) ;
    result =  QIcon( orig ).pixmap(size, mode);
    return result;
}


