/* Copyright (C) 2005-2006 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.2 $
 * $Date: 2006/05/07 16:51:57 $
 * $Author: sgop $
 */

#ifndef _DC_UI_H_
#define _DC_UI_H_

#include "lcore/l_http.h"
#include "dc_network.h"
#include "dc_chat.h"
#include "dc_users.h"

typedef struct
{
    void (*hub_edit)(dc_hub_t*);
    void (*hub_set_status)(dc_hub_t*, const char*);
    
    void (*user_appeared)(dc_cp_t*, dc_user_t*);
    void (*user_vanished)(dc_cp_t*, dc_user_t*);
} ui_dc_t;

extern ui_dc_t DCUI;


void DCUI_hub_edit(dc_hub_t* hub);
void DCUI_hub_set_status(dc_hub_t* hub, const char* status);
void DCUI_user_appeared(dc_cp_t* page, dc_user_t* user);
void DCUI_user_vanished(dc_cp_t* page, dc_user_t* user);

module_t* dc_ui_module_instance();

#endif
