/* Copyright (C) 2005 sgop@users.sourceforge.net This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.4 $
 * $Date: 2006/07/22 17:14:03 $
 * $Author: sid4u $
 */

#ifndef _UI_NAP_CHAT_H_
#define _UI_NAP_CHAT_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "nap_chat.h"

void ui_nap_chat_init();

void ui_nap_channel_list_new(nap_channels_t* channels);
void ui_nap_create_public_page(nap_pub_t* page);
void ui_nap_channel_joined(nap_pub_t* npp);
void ui_nap_cp_update_op(nap_pub_t* npp);
void ui_nap_new_topic(nap_pub_t* npp);
void ui_nap_user_new(nap_cu_t* cu, nap_pub_t* npp);
void ui_nap_user_joined(nap_pub_t* npp, nap_cu_t* cu);
void ui_nap_user_parted(nap_pub_t* npp, nap_cu_t* cu);


#endif
