/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _NAP_HOTLIST_H_
#define _NAP_HOTLIST_H_

#include "lcore/buddy.h"
#include "lcore/module.h"
#include "nap_network.h"

G_BEGIN_DECLS

module_t* nap_hot_module_instance();

void nap_hot_user_online(nap_user_t* user, nap_net_t* net);
void nap_hot_user_offline(nap_user_t* user, nap_net_t* net);
void nap_hot_left_net(nap_net_t* net);
void nap_hot_joined_net(nap_net_t* net);
void nap_hot_new(nap_user_t* user, const char* des);
gboolean nap_hot_in_hotlist(nap_user_t* user);

G_END_DECLS

#endif
