/* Copyright (C) 2000-2003 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _SERVER_PARSE_H_
#define _SERVER_PARSE_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

gboolean nap_check_too_many_pending   (nap_net_t* net, char *data);
// message we know they are not parsed in any way
gboolean nap_check_skip               (nap_net_t* net, char* data);
// channel operator message
gboolean nap_check_channel_wallop     (nap_net_t* net, char* data);
// user level was set
gboolean nap_check_level_set          (nap_net_t* net, char* data);
// channel status response
gboolean nap_check_channel_mode2      (nap_net_t* net, char* data);
gboolean nap_check_channel_limit_level(nap_net_t* net, char* data);
// channel changed by user
gboolean nap_check_channel_mode       (nap_net_t* net, char* data);
gboolean nap_check_channel_limit      (nap_net_t* net, char* data);
gboolean nap_check_channel_level      (nap_net_t* net, char* data);
gboolean nap_check_channel_topic      (nap_net_t* net, char* data);

gboolean nap_check_flag               (nap_net_t* net, char *data);

#endif
