/* Copyright (C) 2005 Lopster Team
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _UI_NAP_H_
#define _UI_NAP_H_

#include <QIcon>
#include <QDir>
#include "nap.h"
#include "nap_ui.h"

inline void initNapsterResource() {Q_INIT_RESOURCE( napster ); }

#define NICON(a,b) ui_nap_get_res_icon(a,b)
#define NICONG(a,b) ui_nap_get_res_icon(a,b,true)

#ifdef _BUILD_QT4_NAP_LIB_
    #if defined(QT_DLL) || defined(QT_SHARED)
        #define QT4_NAP_EXPORT Q_DECL_EXPORT
    #endif
#else
        #define QT4_NAP_EXPORT Q_DECL_IMPORT
#endif 


extern "C" QT4_NAP_EXPORT void ui_nap_init(ui_nap_t* iface);
extern "C" QT4_NAP_EXPORT void ui_nap_run();
extern "C" QT4_NAP_EXPORT void ui_nap_exit();

QIcon ui_nap_get_res_icon(const QString &res, const QSize &size, bool grey=false);


#endif
