/* Copyright (C) 2005 sgop@users.sourceforge.net This is free software
 * distributed under the terms of the GNU Public License.  See the
 * file COPYING for details.
 */
/* $Revision: 1.3 $
 * $Date: 2007/09/05 14:34:10 $
 * $Author: sid4u $
 */

#ifndef _SLSK_H_
#define _SLSK_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef WIN32
#include "lcore/win32_defs.h"
#endif

#include "lcore/plugin.h"

G_BEGIN_DECLS

#define SLSK_USER_UNKNOWN  -1
#define SLSK_USER_OFFLINE   0
#define SLSK_USER_AWAY      1
#define SLSK_USER_ONLINE    2

#ifndef WIN32
extern int SLSK_ID;
#else
int slsk_plugin_get_id( );
#define SLSK_ID slsk_plugin_get_id( )
#endif

const char* slsk_charset_get();

G_END_DECLS
#endif
