/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _SLSK_BROWSE_H_
#define _SLSK_BROWSE_H_

#include "lcore/browse.h"
#include "slsk_network.h"
#include "slsk_users.h"

G_BEGIN_DECLS

typedef struct _slsk_browse_t slsk_browse_t;

void slsk_browse_user(slsk_user_t* user);
slsk_browse_t* slsk_browse_search(slsk_user_t* user);
void slsk_browse_set_progress(slsk_user_t* user, double prog,
			      const char* status);

G_END_DECLS
#endif
