/* Copyright (C) 2005 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.1 $
 * $Date: 2007/04/29 09:55:05 $
 * $Author: sgop $
 */

#ifndef _SLSK_DOWNLOAD_H_
#define _SLSK_DOWNLOAD_H_

typedef struct _slsk_source_t slsk_source_t;

#include "lcore/files.h"
#include "slsk_users.h"
#include "slsk_search.h"

#define SLSK_SOURCE(arg) ((slsk_source_t*)(arg))
struct _slsk_source_t {
  source_t _source;
  guint32 id;
};

module_t* slsk_download_module_instance();

slsk_source_t* slsk_source_find_by_id(guint32 token);

const char* slsk_source_start_downloading(slsk_peer_t* peer, guint32 token);

#endif
