/* Copyright (C) 2005 sgop@users.sourceforge.net
 * This is free software distributed under the terms of the
 * GNU Public License.  See the file COPYING for details.
 */
/* $Revision: 1.2 $
 * $Date: 2007/05/23 20:42:29 $
 * $Author: sid4u $
 */

#ifndef _SLSK_HOTLIST_H_
#define _SLSK_HOTLIST_H_

#include "lcore/buddy.h"
#include "lcore/module.h"
#include "slsk_network.h"
#include "slsk_users.h"

G_BEGIN_DECLS

module_t* slsk_hot_module_instance();

slsk_user_t* slsk_hot_get_user(buddy_t* buddy);
void slsk_hot_new(slsk_user_t* user);
void slsk_hot_joined_net(slsk_net_t* net);
void slsk_hot_left_net(slsk_net_t* net);
gboolean slsk_hot_in_hotlist(slsk_user_t* user);
void slsk_hot_joined_net(slsk_net_t* net);
void slsk_hot_left_net(slsk_net_t* net);

G_END_DECLS
#endif
